mdatabase_list(3m17n)

NAME
mdatabase_list - Return a data list of the m17n database.

SYNOPSIS
MPlist* mdatabase_list (MSymbol tag0, MSymbol tag1, MSymbol tag2, MSymbol tag3)

DESCRIPTION
Return a data list of the m17n database.

The mdatabase_list() function searches the m17n database for data who have tags tag0 through tag3, and returns their list by a plist. The value Mnil in tagn means a wild card that matches any tag. Each element of the plist has key Mt and value a pointer to type MDatabase.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.